@import url('https://fonts.googleapis.com/css2?family=Montserrat:wght@400;700&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Roboto+Slab:wght@600&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Cutive&family=Roboto+Slab:wght@500&display=swap');

*, *::before, *::after {
  box-sizing: border-box;
}

body {
  margin: 0;
  padding: 0;
  font-family: 'Montserrat', sans-serif;
}

/* -- HEADER + MENU -- */

header {
  background: #000;
  text-align: center;
  position: fixed;
  z-index: 9999;
  width: 100%;
}

.logo {
  float: left;
  min-width: 300px;
  padding-top: 0.5em;
}

.nav-toggle {
  display: none;
}

.nav-toggle-label {
  position: absolute;
  top: 0;
  right: 0;
  margin-right: 1em;
  height: 100%;
  display: flex;
  align-items: center;
}

.nav-toggle-label span,
.nav-toggle-label::before,
.nav-toggle-label::after {
  display: block;
  background: #fff;
  height: 2px;
  width: 2em;
  border-radius: 2px;
  position: relative;
}

.nav-toggle-label::before,
.nav-toggle-label::after {
  content: '';
  position: absolute;
}

.nav-toggle-label::before {
  bottom: 45px;
}

.nav-toggle-label::after {
  top: 45px;
}

nav {
  position: absolute;
  text-align: right;
  top: 100%;
  left: 0;
  background: #000;
  width: 100%;
  transform: scale(1,0);
  transform-origin: top;
  transition: transform 400ms ease-in-out;
}

nav ul {
  margin: 0;
  padding: 0;
  list-style: none;
}

nav li {
  line-height: 1.2em;
  margin-right: 0.8em;
}

nav a {
  color: #fff;
  text-decoration: none;
  font-size: 1rem;
  opacity: 0;
  transition: opacity 150ms ease-in-out;
}

nav a:hover {
  color: hsla(2, 93%, 49%, 1);
}

.nav-toggle:checked ~ nav {
  transform: scale(1,1);
}

.nav-toggle:checked ~ nav a {
  opacity: 1;
  transition: opacity 250ms ease-in-out 250ms;
}

.active a {
  color: hsla(2, 93%, 49%, 1);
}

.active {
  color: hsla(2, 93%, 49%, 1);
}

nav ul li {
  padding: 5px;
  text-align: right;
}

nav ul li ul {
   display: none;
   position: block;
   background-color: black;
   padding-top: 25px;
   padding-bottom: 15px;
 }
 
nav ul li:hover ul {
   display: block;
 }

nav ul li a:hover {
  color: hsla(2, 93%, 49%, 1);
}

/* -- SLANT -- */

.slanted {
  background: #000;
  height: 100px;
  width: 100%;
  position: fixed;
  z-index: -1;
}

header:before {
  content: '';
  background: rgb(206, 35, 35);
  height: 60px;
  transform: skewY(-2deg);
  bottom: -45px;
  position: absolute;
  z-index: -3;
  left: 0;
  right: 0;
}


/* -- HERO -- */

.hero {
  position: relative;
  text-align: center;
  padding-top: 1em;
}

.hero img {
  width: 100vw;
  height: 300px;
  object-fit: cover;
  margin: 0 auto;
  margin-top: 5em;
}

.hero .hero-text {
  position: absolute;
  top: 60%;
  left: 50%;
  transform: translate(-50%, -50%);
  background-color: rgb(206, 35, 35);
  max-width: 320px;
  height: auto;
  padding-bottom: 0.5em;
  padding-top: 0.2em;
  padding-right: 0.25em;
  padding-left: 0.25em;
}

.hero-title {
  color: #fff;
  font-family: 'Roboto Slab', serif;
  font-size: 1.3rem;
  margin: 0;
  text-align: center;
  letter-spacing: 0.1rem;
}

.hero-title span {
  font-family: 'Montserrat', sans-serif;
  font-weight: 400;
  font-size: 1rem;
  color: #fff;
}

/* -- KAMPPIS HERO -- */

.kamppis-hero {
  position: relative;
  text-align: center;
  padding-top: 1em;
}

.kamppis-hero img {
  width: 100vw;
  height: 300px;
  object-fit: cover;
  margin: 0 auto;
  margin-top: 5em;
}

.kamppis-hero .kamppis-hero-text {
  position: absolute;
  top: 60%;
  left: 50%;
  transform: translate(-50%, -50%);
  background-color: rgb(206, 35, 35);
  max-width: 320px;
  height: auto;
  padding-bottom: 0.5em;
  padding-top: 0.2em;
  padding-right: 0.25em;
  padding-left: 0.25em;
}

.kamppis-hero-title {
  color: #fff;
  font-family: 'Roboto Slab', serif;
  font-size: 1.3rem;
  margin: 0;
  text-align: center;
  letter-spacing: 0.1rem;
}

.kamppis-hero-title span {
  font-family: 'Montserrat', sans-serif;
  font-weight: 400;
  font-size: 1rem;
  color: #fff;
}

/* --FRONT PAGE MAIN -- */

.page-title {
  text-align: center;
  margin-top: 3rem;
  margin-bottom: 2rem;
  font-family: 'Roboto Slab', serif;
  font-size: 1.5rem;
  letter-spacing: 0.05rem;
}

.front-page-wrapper {
  background-color: rgb(206, 35, 35);
}

.front-page-start {
  display: flex;
  flex-wrap: wrap;
  margin: 0 auto;
  padding: 1em;
  width: 90vw;
}

.front-page-columns {
  margin: 1em;
  display: flex;
  flex-direction: column;
  flex: 1 1 350px;
  color: #fff;
}

h3 {
  font-family: 'Roboto Slab', serif;
  letter-spacing: 0.05rem;
  margin: 0;
  padding-top: 1rem;
  padding-bottom: 1rem;
  text-align: center;
}

a {
  text-decoration: none;

}

.front-page-columns a:link {
  color: #fff;
  font-style: oblique;
}

.front-page-columns a:visited {
  color: #bbb;
}

/* <-- FRONT PAGE SECTION --> */

.section {
  padding-top: 1rem;
  max-width: 90vw;
  margin: 0 auto;
}

.section p {
  margin-left: 1.3rem;
  text-align: left;
}

.section-title {
  margin: 0;
  margin-top: 3rem;
  margin-bottom: 2rem;
  font-family: 'Roboto Slab', serif;
  font-size: 2rem;
  text-align: center;
  letter-spacing: 0.05rem;
}

.md-title {
  margin: 0;
  margin-top: 1em;
  text-align: center;
  font-family: 'Roboto Slab', serif;
  letter-spacing: 0.05rem;
}

.palvelut-grid {
  display: flex;
  flex-wrap: wrap;
  color: #333;
  line-height: 1.5rem;
  padding-bottom: 1em;
}

.palvelut-grid-kuva {
  margin: 1em;
  padding: 1em;
  align-items: center;
  display: flex;
  flex-direction: column;
  flex: 1 1 300px;
}

.palvelut-grid-kuva img {
  max-width: 250px;
  border-radius: 0%;
  box-shadow: 3px 3px 5px 0px rgba(0,0,0,0.75);
  border: 1px solid #999;
  margin: 0 auto;
}

.palvelut-grid-kuva img:hover {
  transform: scale(1.1)
}

.btn {
  background-color: rgb(206, 35, 35);
  border: none;
  border-radius: 9999px;
  color: #fff;
  padding: 8px 20px;
  text-decoration: none;
  font-family: 'Roboto Slab', serif;
  letter-spacing: 0.05rem;
}

.btn:hover {
  background-color: rgb(209, 71, 71);
}


/* <-- KAMPPIS FRONT PAGE SECTION --> */

.kamppis {
  padding-top: 6rem;
  max-width: 90vw;
  margin: 0 auto;
}

.kamppis p {
  margin-left: 1.3rem;
  text-align: left;
}

.kamppis-title {
  margin: 0;
  margin-top: 4rem;
  margin-bottom: 2rem;
  font-family: 'Roboto Slab', serif;
  font-size: 5vw;
  text-align: center;
  letter-spacing: 0.05rem;
}

.kamppis-md-title {
  margin: 0;
  padding-top: 0px;
  font-size: 4vw;
  text-align: center;
  font-family: 'Roboto Slab', serif;
  letter-spacing: 0.05rem;
}

.kamppis-grid {
  max-width: 1000px;
  display: flex;
  flex-wrap: wrap;
  color: #333;
  line-height: 1.5rem;
  padding-bottom: 1em;
  margin: 0 auto;
}

.kamppis-grid-kuva {
  padding: 2em;
  display: flex;
  flex-direction: column;
  font-size: 0.8rem;
  margin: 0 auto;
}

.kamppis-grid-kuva p {
  max-width: 250px;
  text-align: left;
}

.kamppis-grid-kuva b {
  max-width: 250px;
  text-align: center;
}

.kamppis-grid-kuva span {
  max-width: 250px;
  text-align: left;
  font-style: italic;
  font-weight: bold;
}

.kamppis-grid-kuva img {
  max-width: 250px;
  border-radius: 0%;
  box-shadow: 3px 3px 5px 0px rgba(0,0,0,0.75);
  border: 1px solid #999;
  margin: 0 auto;
}

.kamppis-container {
  display: flex;
  flex-wrap: wrap;
  max-width: 80vw;
  margin: 0 auto;
  padding-bottom: 2em;
  justify-content: space-between;
}

.kamppis-text {
  margin: 0 auto;
  padding-left: 1em;
  display: flex;
  flex-direction: column;
  max-width: 100ch;
}

/* -- SERVICES -- */

.services-container {
  display: flex;
  flex-wrap: wrap;
  max-width: 80vw;
  margin: 0 auto;
  padding-bottom: 2em;
  justify-content: space-between;
}

.services-text h3 {
  text-align: start;
  margin-top: 1em;
  padding: 0;
  padding-right: 0.5em;
  padding-bottom: 0.5em;
}

.services-text {
  margin: 0 auto;
  display: flex;
  flex-direction: column;
  max-width: 60ch;
}

.services-text p {
  margin: 0;
  padding-bottom: 1em;
}

.services-container-2 {
  display: flex;
  flex-wrap: wrap;
  margin: 0 auto;
  justify-content: space-between;
  background-color: rgb(206, 35, 35);
}

.services {
  display: flex;
  flex-wrap: wrap;
  margin: 0 auto;
  padding: 0;
  background-color: rgb(206, 35, 35);
}

.services-list {
  margin: 0 auto;
  padding: 1em;
  line-height: 2em;
  text-align: center;
  list-style-type: none;
}

.services-list a {
  margin: 0 auto;
  text-decoration: none;
}

.services-list a:link {
  color: #fff;
  text-transform: uppercase;
  padding: 1rem;
}

.services-list a:visited {
  color: #bbb;
}

.services-image {
  margin: 0 auto;
  display: flex;
}

.services-img {
  display: flex;
  flex: 1 1 350px;
  max-width: 100%;
  padding-bottom: 2em;
}

.list-head {
  margin: 0 auto;
  text-align: center;
}

.list-head h3 {
  justify-items: center;
  text-align: center;
  margin-top: 1em;
}

.list {
  display: inline-block;
  color: #fff;
  background-color: rgb(206, 35, 35);
  margin: 0em 0em 1em 0em;
  padding: 2em;
  border-radius: 2px;
  text-align: left;
}

.images-container {
  width: 95vw;
  margin: 0 auto;
  display: -webkit-flex;
  display: flex;
  flex-wrap: wrap;
  padding-bottom: 2em;
}

.images {
  display: -webkit-flex;
  display: flex;
  -webkit-flex: 1 1 300px;
  flex: 1 1 300px;
  max-width: 350px;
  height: auto !important;
  object-fit: cover;
  padding: 0.5em;
  margin: 0 auto;
  outline: 10px solid rgb(206, 35, 35, 0.75);
  outline-offset: -25px;
}

/* -- CONTACT -- */

.contact-info {
  display: flex;
  flex-wrap: wrap;
  max-width: 90vw;
  margin: 0 auto;
  justify-content: center;
  padding-bottom: 2em;
}

.section-info {
  margin: 0 auto;
  padding-bottom: 3em;
}

.section-info p {
  margin: 0;
  max-width: 60ch;
  color: #333;
  margin: 0 auto;
  text-align: center;
  line-height: 1.5rem;
}

.section-info span {
  display: block;
  justify-items: center;
}

.person {
  display: flex;
  flex-direction: column;
  color: #333;
  padding-top: 1em;
}

.person .name {
  font-family: 'Roboto Slab', serif;
  letter-spacing: 0.05rem;
}

.person p {
  margin: 1em;
  padding: 0;
  width: 200px;
  line-height: 1.3rem;
}

.person span {
  display: block;
  text-align: center;
}

/* -- MAP -- */

.map-responsive{
  overflow:hidden;
  padding-bottom:500px;
  position:relative;
  height:0;
}
.map-responsive iframe{
  left:0;
  top:0;
  height:500px;
  width:100%;
  position:absolute;
}

/* -- REKISTERI -- */

.rekisteri-wrapper {
  width: 80vw;
  margin: 0 auto;
}

/* -- FOOTER -- */

footer {
  display: flex;
  flex-wrap: wrap;
  background-color: #000;
  color: #fff;
  padding-bottom: 50px;
  
}

.col {
  display: flex;
  flex-direction: column;
  flex: 1 1 300px;
  text-align: center;
}

.col span {
  display: block;
}

.footer-nav-list {
  margin: 0;
  padding: 1em 1em;
  list-style: none;
  text-transform: uppercase;
}

.footer-nav-list a {
  text-decoration: none;
  color: #fff; 
}

.footer-nav-list a:hover {
  color: rgb(206, 35, 35); 
}

.section-footer {
  display: flex;
  flex-direction: column;
  padding: 0em 1em;
}

/* -- MONITOR HEADER -- */

@media only screen and (min-width: 1100px) {

.nav-toggle-label {
  display: none;
}

header {
  display: grid;
  grid-template-columns: 0.15fr 0.6fr 1fr 0.15fr;
}

.logo {
  display: grid;
  width: 400px;
  grid-column: 2 / 3;
  padding-top: 0.5em;
}

nav {
  display: grid;
  grid-column: 3 / 4;
  align-items: center;
  transform: none;
  position: unset;
  justify-items: right;
}

nav ul {
  display: flex;
  margin: 0;
  padding: 0;
}

nav li {
  margin-left: 1em;
  margin-bottom: 0;
}

nav a {
  opacity: 1;
  position: relative;
  text-decoration: none;
  color: #fff;
}

nav a:hover::before {
  transform: scale(1.1);
}

nav ul li {
  padding: 5px;
  text-align: left;
}

nav ul li ul {
  display: none;
  position: absolute;
  background-color: #000;
  padding-top: 25px;
  padding-bottom: 15px;
}

nav ul li:hover ul {
  display: block;
}

nav ul li a:hover {
  color: hsla(2, 93%, 49%, 1);
}

header:before {
  height: 65px;
  transform: skewY(-1deg);
}

.hero img {
  width: 100vw;
  height: 100% !important;
  margin: 0 auto;
  margin-top: 5em;
}

.hero .hero-text {
  max-width: 500px;
  padding-bottom: 0.5em;
  padding-top: 0.5em;
  padding-right: 0.5em;
  padding-left: 0.5em;
}

.hero-title {
  font-size: 2rem;
}

.hero-title span {
  font-size: 1.2rem;
}

.front-page-start {
  margin: 0 auto;
  padding: 1em;
  width: 60vw;
}

.palvelut-grid {
  margin: 0 auto;
  padding: 1em;
  width: 60vw;
}

.images-container {
  width: 80vw;
}

.images {
  flex: 1 1 350px;
  max-width: 500px;
}

}

/* -- SERVICES -- */

.services-container {
  max-width: 80vw;
}


/* -- CONTACT -- */





/* -- FOOTER -- */






